## libpam-abl 0.5.1~git8f1be9

=== htdocs/docs/Makefile ===
all:
	for i in ../../doc/*txt;do cat $$i|sed 's;<[a-z-]\+@[a-z.]\+\(com\|net\|be\)>;;g' |sed  's;Report bugs to;Report bugs at http://sourceforge.net/projects/pam-abl/support;' > ./`basename $$i`;done
	for i in ./*txt;do a2x -D . -f xhtml $$i;done
	echo Done!

## libpam-abl 0.4.1

=== debian/changelog ===
libpam-abl (0.4.1-1) unstable; urgency=low

  * Initial release  (Closes: #356733) 

 -- Alex Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 12 May 2011 10:14:22 +0200

=== debian/control ===
Source: libpam-abl
Section: admin
Priority: extra
Maintainer: Alex Mestiashvili <alex@biotec.tu-dresden.de>
Build-Depends: debhelper (>= 8), autotools-dev, libdb-dev, libpam-dev
Standards-Version: 3.9.2
Homepage: http://pam-abl.deksai.com/
Vcs-Svn: https://pam-abl.svn.sourceforge.net/svnroot/pam-abl
Vcs-Browser: http://pam-abl.svn.sourceforge.net/viewvc/pam-abl/

Package: libpam-abl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: blocks hosts which are attempting a brute force attack
 pam_abl is able to protect any service which uses it for authentication. 
 It works on the assumption that an attacker won't get the password right 
 without a lot of trying. It watches for attacks by counting how many times 
 a certain user or host tries to log into the service unsuccessfully. 
 When a set number of failed logins occurs, the host or user name is 
 recorded. After that point, it will be impossible for that user or 
 host to successfully log in. The attacker can keep trying as much as 
 he wants, but will never find a way to login with his current method.

=== debian/watch ===
version=3

opts=filenamemangle=s/(.*)/lib$1/\
	http://sf.net/pam-abl/pam-abl-(.*)\.tar\.bz2

## libpam-abl 0.4.2

=== debian/changelog ===
libpam-abl (0.4.2-1) unstable; urgency=low

  * New upstream release 0.4.2 
  * Added patch to fix command line tool compilation with libdb version < 5.0 

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sun, 01 Jan 2012 15:43:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libpam-abl
 Section: admin
 Priority: extra
-Maintainer: Alex Mestiashvili <alex@biotec.tu-dresden.de>
+Maintainer: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
 Build-Depends: debhelper (>= 8), autotools-dev, libdb-dev, libpam-dev
 Standards-Version: 3.9.2
 Homepage: http://pam-abl.deksai.com/
 Vcs-Svn: https://pam-abl.svn.sourceforge.net/svnroot/pam-abl
 Vcs-Browser: http://pam-abl.svn.sourceforge.net/viewvc/pam-abl/
+DM-Upload-Allowed: yes
 
 Package: libpam-abl
 Architecture: any

## libpam-abl 0.4.3~testing.1

=== debian/changelog ===
libpam-abl (0.4.3~testing.1-1) unstable; urgency=low

  * Imported Upstream version 0.4.3~testing.1
  * Removed patches applied by the upstream
  * debian/watch added uversionmangle
  * debian/control changed description to a better one
  * debian/README.Debian updated

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 01 Feb 2012 18:05:30 +0100

libpam-abl (0.4.2-2) unstable; urgency=low

  * Added fix_typedef.patch which fixes wrong type definition .

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 06 Jan 2012 14:59:12 +0100

=== debian/control ===
Source: libpam-abl
Section: admin
Priority: extra
Maintainer: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Build-Depends: debhelper (>= 8), autotools-dev, libdb-dev, libpam-dev
Standards-Version: 3.9.2
Homepage: http://pam-abl.deksai.com/
Vcs-Svn: https://pam-abl.svn.sourceforge.net/svnroot/pam-abl
Vcs-Browser: http://pam-abl.svn.sourceforge.net/viewvc/pam-abl/
DM-Upload-Allowed: yes

Package: libpam-abl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: blocks hosts which are attempting a brute force attack
 a PAM module that provides auto blacklisting of hosts and users responsible
 for repeated failed authentication attempts. Generally configured so that
 blacklisted users still see normal login prompts but are guaranteed 
 to fail to authenticate.

## libpam-abl 0.4.3~testing.4

=== debian/changelog ===
libpam-abl (0.4.3~testing.4-1) unstable; urgency=low

  * Imported Upstream version 0.4.3~testing.4

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 15 Mar 2012 15:37:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
 Build-Depends: debhelper (>= 8), autotools-dev, libdb-dev, libpam-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pam-abl.deksai.com/
 Vcs-Svn: https://pam-abl.svn.sourceforge.net/svnroot/pam-abl
 Vcs-Browser: http://pam-abl.svn.sourceforge.net/viewvc/pam-abl/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-pam-dir=/lib/security  --docdir=/usr/share/doc/libpam-abl/examples

=== debian/watch ===
version=3

opts=filenamemangle=s/(.*)/lib$1/,uversionmangle=s/-/~/\
	http://sf.net/pam-abl/pam-abl-(.*)\.tar\.bz2

## libpam-abl 0.4.3

=== debian/changelog ===
libpam-abl (0.4.3-1) unstable; urgency=low

  * Imported Upstream version 0.4.3
  * added home_db configuration option

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 22 Mar 2012 17:36:52 +0100

## libpam-abl 0.5.1~git8f1be9

=== debian/changelog ===
libpam-abl (0.5.1~git8f1be9-2build1) trusty; urgency=low

  * No change rebuild against db 5.3.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 02 Nov 2013 00:58:01 +0000

libpam-abl (0.5.1~git8f1be9-2) unstable; urgency=low

  * d/patches/hurd.patch: fix build error on hurd arch 

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 30 May 2013 10:33:15 +0200

libpam-abl (0.5.1~git8f1be9-1) unstable; urgency=low

  * debian/watch fixed regexp for suffix
  * Imported Upstream version 0.5.1~git8f1be9
  * d/rules: DEB_HOST_MULTIARCH
  * d/patches/multiarch.patch: imports DEB_HOST_MULTIARCH from d/rules
  * d/control: Pre-Depends: ${misc:Pre-Depends},
     source: debhelper >= 9, Standards-Version: 3.9.4
  * d/patches/series: removed patches applied by the upstream
  * d/changelog: new upstrem release
     Closes: #685172, Closes: #704497

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 15 May 2013 11:08:19 +0200

libpam-abl (0.5.0-1) UNRELEASED; urgency=low

  * debian/rules added hardening flags
  * updated watch file to track both bz2 an gz archives.
  * Imported Upstream version 0.5.0
  * debian/rules 
    -hardening flags 
    -call man pages generation using supplied script 
    debian/control 
    -added dependencies asciidoc, cmake 
    -removed autotools-dev
  * patch to fix names (use underscore) and location for shared lib
  * install manpages with dh_installman
  * removed old patches fix_{conf,man} because the source is heavily rewritten
  * debian/control added dep xmlto - used for man page generation
  * debian/doc README only

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 15 May 2013 11:08:19 +0200

libpam-abl (0.4.3.1-1) UNRELEASED; urgency=low

  * Imported Upstream version 0.4.3.1

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 18 Aug 2012 10:26:22 +0200

=== debian/control ===
Source: libpam-abl
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Build-Depends: debhelper (>= 9), libdb-dev, libpam-dev, asciidoc, xmlto, cmake 
Standards-Version: 3.9.4
Homepage: http://pam-abl.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/libpam-abl.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/libpam-abl.git
DM-Upload-Allowed: yes

Package: libpam-abl
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: blocks hosts which are attempting a brute force attack
 a PAM module that provides auto blacklisting of hosts and users responsible
 for repeated failed authentication attempts. Generally configured so that
 blacklisted users still see normal login prompts but are guaranteed 
 to fail to authenticate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
CFLAGS   += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_install:
#generate man pages:
	cd doc/;./generate.sh
	dh_auto_install

## libpam-abl 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

project(pam-abl)
set(PAM_ABL_COMMON_SRC
	config.c
	dbfun.c
	log.c
	pam_abl.c
	rule.c
	typefun.c
)


set(PAM_ABL_TOOLS_SRC
	tools.c
)

set(PAM_ABL_LIB_SRC
	pam_functions.c
)

set(PAM_ABL_TEST_SRC
	test_abl.c
	test.c
	test_db.c
	test_rule.c
	test_types.c
	test_config.c
)

find_package(BerkeleyDB REQUIRED)
find_package(Pam REQUIRED)

#Building pam-abl using a different version of Berkeley db.
#If you have only one version of Berkeley db installed, it should normally work without any changes.
#If you have multiple versions installed, you can specify the version to use by providing the params
#on the commandline when calling cmake:
# -DDB_LIBRARY=<db version, "db-4.7">
# -DDB_INCLUDE_DIR=<db include dir>
# -DDB_LINK_DIR=<db link dir>
#
#for example: cmake -DDB_INCLUDE_DIR=/db-5.3.15/include/ -DDB_LINK_DIR=/db-5.3.15/lib/ -DDB_LIBRARY=db-5.3
#or it can be as easy as: cmake -DDB_LIBRARY=db-4.7 ../
if (DEFINED DB_LINK_DIR)
	link_directories(${DB_LINK_DIR})
endif(DEFINED DB_LINK_DIR)

#if you want a debug build, please add "-DCMAKE_BUILD_TYPE=Debug" as param to the cmake call
if( NOT CMAKE_BUILD_TYPE)
	set( CMAKE_BUILD_TYPE Release)
endif( NOT CMAKE_BUILD_TYPE)

include_directories(${DB_INCLUDE_DIR} ${PAM_INCLUDE_DIRS})
add_definitions(-W -Wall -Wshadow -Winit-self -Wredundant-decls -Wcast-align -Wfloat-equal -Winline -Wunreachable-code
				-Wmissing-declarations -Wswitch-enum -Wswitch-default -Wformat -Wmain -Wextra -Wunused -Wmissing-noreturn)
set(CMAKE_SHARED_LIBRARY_PREFIX "")

add_executable(pam-abl_bin ${PAM_ABL_COMMON_SRC} ${PAM_ABL_TOOLS_SRC})
set_target_properties(pam-abl_bin PROPERTIES OUTPUT_NAME pam_abl)
set_target_properties(pam-abl_bin PROPERTIES COMPILE_DEFINITIONS "TOOLS")
target_link_libraries(pam-abl_bin ${DB_LIBRARY} )

add_executable(pam-abl_test ${PAM_ABL_COMMON_SRC} ${PAM_ABL_TEST_SRC})
set_target_properties(pam-abl_test PROPERTIES OUTPUT_NAME pam_abl_test)
set_target_properties(pam-abl_test PROPERTIES COMPILE_DEFINITIONS "TEST")
target_link_libraries(pam-abl_test ${DB_LIBRARY} )

add_library(pam-abl_lib SHARED ${PAM_ABL_COMMON_SRC} ${PAM_ABL_LIB_SRC})
set_target_properties(pam-abl_lib PROPERTIES OUTPUT_NAME pam_abl)
target_link_libraries(pam-abl_lib ${DB_LIBRARY} ${PAM_LIBRARY})

INSTALL(TARGETS pam-abl_bin
	RUNTIME DESTINATION bin
)
INSTALL(TARGETS pam-abl_lib DESTINATION lib/security)

=== debian/changelog ===
libpam-abl (0.6.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113182)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Oct 2025 19:58:35 +0300

libpam-abl (0.6.0-7) unstable; urgency=medium

  * d/watch, update watch file, take source from github
  * d/copyright, update source URL and copyright years
  * Fix multiarch.patch to respect prefix, install PAM module into /usr,
    Closes: #1061349
  * d/control, apply cme fix dpkg, bump Policy to 4.6.2

 -- Alexandre Mestiashvili <mestia@debian.org>  Mon, 12 Feb 2024 11:29:06 +0100

libpam-abl (0.6.0-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.

  [ Alexandre Mestiashvili ]
  * Add patch fixing wrong flags in DB->get invocation, courtesy of Robert Harris
  * d/libpam-abl.install, use relative path
  * d/control:
    - bump Policy to 4.6.1
    - update maintainer's email
    - use libpam0g-dev instead of libpam-dev
    - add Rules-Requires-Root: no

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 26 Oct 2022 15:36:18 +0200

libpam-abl (0.6.0-5) unstable; urgency=medium

  * Revert commit breaking multiarch support, Closes: #824657

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 19 May 2016 10:27:30 +0200

libpam-abl (0.6.0-4) unstable; urgency=medium

  * d/control, update VCS-fields, Bump Standards-Version
  * Remove trailing whitespaces from multiple files
  * Set compat level to 9
  * Update d/rules to use all hardening flags
  * Remove multiarch.patch as compat level v9 enables multiarch automatically
  * Closes: #751551, actually fixed in 0.6.0-1, the default block time
    for user and host is set to 1 hour

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 14 May 2016 08:15:02 +0200

libpam-abl (0.6.0-3) unstable; urgency=medium

  * d/control: fixed with help of cme!
    Closes: #725141,#742024, upload to unstable
  * d/NEWS: describe the new way of configuration

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 12 May 2014 13:38:18 +0200

libpam-abl (0.6.0-2) experimental; urgency=medium

  * d/control: improve short description
  * d/abl: set Priority to 512
  * d/patches/update_config.patch: tweak configuration to block only
    ssh bruteforce attacks by default
  * d/README.Debian: describe default setup and caveats

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 03 May 2014 17:58:04 +0200

libpam-abl (0.6.0-1) experimental; urgency=medium

  * Imported Upstream version 0.6.0
  * d/control:
    - correct Vcs-Browser, remove DM-Upload-Allowed
    - bumped Standards-Version
    - add libpam-runtime (>= 1.0.1-6) to Build-Depends for use
    with pam-config-framework
  * d/patches/hurd.patch: removed, the bug is fixed in the new release
  * d/libpam-abl.lintian-overrides: override pam_abl.8 - can't break line
  * d/abl: config file for pam-auth-update
  * d/postrm, postinst, prerm: integration with pam-auth-update
    (shamelessly stolen from libpam-shield)
  * d/libpam-abl.install: install abl config to usr/share/pam-configs

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 02 May 2014 23:53:21 +0200

=== debian/control ===
Source: libpam-abl
Maintainer: Alexandre Mestiashvili <mestia@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libdb-dev,
               libpam0g-dev,
               asciidoc,
               xmlto,
               cmake,
               libpam-runtime
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/libpam-abl
Vcs-Git: https://salsa.debian.org/debian/libpam-abl.git
Homepage: http://pam-abl.sourceforge.net
Rules-Requires-Root: no

Package: libpam-abl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: blocks hosts attempting a brute force attack
 a PAM module that provides auto blacklisting of hosts and users responsible
 for repeated failed authentication attempts. Generally configured so that
 blacklisted users still see normal login prompts but are guaranteed
 to fail to authenticate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	cd doc/;rm -f pam_abl.1 pam_abl.8 pam_abl.conf.5
	dh_auto_clean

override_dh_auto_install:
#generate man pages:
	cd doc/;./generate.sh
	dh_auto_install

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libpam-abl-$1\.tar\.gz/ \
  https://github.com/deksai/pam_abl/tags .*/v?(\d\S+)\.tar\.gz
